Mandriva Linux Security Advisory : webmin (MDVSA-2011:109)

Medium Nessus Plugin ID 55112


The remote Mandriva Linux host is missing a security update.


A vulnerability was discovered and corrected in webmin :

Cross-site scripting (XSS) vulnerability in Webmin 1.540 and earlier allows local users to inject arbitrary web script or HTML via a chfn command that changes the real (aka Full Name) field, related to useradmin/index.cgi and useradmin/ (CVE-2011-1937).

Packages for 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: products_id=490

The updated packages have been upgraded to the 1.550 version which is not vulnerable to this issue.


Update the affected webmin package.

Plugin Details

Severity: Medium

ID: 55112

File Name: mandriva_MDVSA-2011-109.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2011/06/14

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:webmin, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/06/13

Reference Information

CVE: CVE-2011-1937

BID: 47558

MDVSA: 2011:109